import { Logger } from "../../../../../logger";
import { ICommandDefinition } from "../../ICommandDefinition";
/**
 * Control parameters for the command profile loader.
 * @export
 * @interface ICommandProfileLoaderParms
 */
export interface ICommandProfileLoaderParms {
    /**
     * The command definition document which contains the profile specifications for the command.
     * @type {ICommandDefinition}
     * @memberof ICommandProfileLoaderParms
     */
    commandDefinition: ICommandDefinition;
    /**
     * Optional logger instance - if not supplied, then Logger.getImperativeLogger() is used.
     * @type {Logger}
     * @memberof ICommandProfileLoaderParms
     */
    logger?: Logger;
}
//# sourceMappingURL=ICommandProfileLoaderParms.d.ts.map